1. Bill Payments
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Callbacks Overview
    • Zamupay Transactions Response Codes for Payouts
    • MCCMNC Codes
    • API Credentials
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
        POST
      • Bill Request Payment
        POST
      • Find Bill Services
        GET
      • Find Bill Number By Service Id and Account Number
        GET
      • Find Bill Request By Originator Converstion Id
        GET
      • Bill Number
        POST
  1. Bill Payments

Find Bill Services

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
GET
/v1/bill-services
This is a GET request that Retrieves a list of available bill payment services and supported billers.
Note: A valid token is required for authentication as it expires after every hour. Refer to Token Request to generate a new token.
Note: "validateAccountEnabled" Field is needed to check which Service goes through Validation

Sample success response:#

{
    "billServiceGroup": [
        {
            "route": "I&M Bill Payment",
            "billServices": [
                {
                    "id": "bc97d2b1-4828-f111-bc5a-0e7d952d79b7",
                    "countryId": "2af5bbb9-ba8c-48f7-bfa6-1a3410e4cc03",
                    "currencyId": "e1aee286-d27a-482f-903d-311b3f55552b",
                    "serviceType": 1,
                    "serviceTypeDescription": "NAIROBI WATER",
                    "serviceCategory": 3,
                    "serviceCategoryDescription": "WATER",
                    "minAmount": 10.00,
                    "maxAmount": 1000.00,
                    "enabled": true,
                    "image": "https://beta.zamupay.com/Account/CustomerBillServiceLogo/water",
                    "validateAccountEnabled": true
                },
                {
                    "id": "860a26ce-4828-f111-bc5a-0e7d952d79b7",
                    "countryId": "2af5bbb9-ba8c-48f7-bfa6-1a3410e4cc03",
                    "currencyId": "e1aee286-d27a-482f-903d-311b3f55552b",
                    "serviceType": 2,
                    "serviceTypeDescription": "KPLC POSTPAID",
                    "serviceCategory": 2,
                    "serviceCategoryDescription": "ELECTRICITY",
                    "minAmount": 10.00,
                    "maxAmount": 1000.00,
                    "enabled": true,
                    "image": "https://beta.zamupay.com/Account/CustomerBillServiceLogo/postpaid",
                    "validateAccountEnabled": true
                },
                {
                    "id": "253592e9-4828-f111-bc5a-0e7d952d79b7",
                    "countryId": "2af5bbb9-ba8c-48f7-bfa6-1a3410e4cc03",
                    "currencyId": "e1aee286-d27a-482f-903d-311b3f55552b",
                    "serviceType": 5,
                    "serviceTypeDescription": "GOTV",
                    "serviceCategory": 1,
                    "serviceCategoryDescription": "TV",
                    "minAmount": 10.00,
                    "maxAmount": 1000.00,
                    "enabled": true,
                    "image": "https://beta.zamupay.com/Account/CustomerBillServiceLogo/GOtv",
                    "validateAccountEnabled": true
                }
            ]
        },
        {
            "route": "DTB-Bill Payments",
            "billServices": [
                {
                    "id": "b9051dfc-11da-806c-98e0-019e452f74e7",
                    "countryId": "2af5bbb9-ba8c-48f7-bfa6-1a3410e4cc03",
                    "currencyId": "e1aee286-d27a-482f-903d-311b3f55552b",
                    "serviceType": 3,
                    "serviceTypeDescription": "KPLC PREPAID",
                    "serviceCategory": 2,
                    "serviceCategoryDescription": "ELECTRICITY",
                    "minAmount": 100.00,
                    "maxAmount": 10000.00,
                    "enabled": true,
                    "image": null,
                    "validateAccountEnabled": false
                }
            ]
        }
    ]
}

Request

Authorization

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.zamupay.com/v1/bill-services'
Response Response Example
{}
Modified at 2026-06-04 08:42:44
Previous
Bill Request Payment
Next
Find Bill Number By Service Id and Account Number
Built with